commit d05d583f80ce3595e417955019d434690295b332
Author: Jonathan Wakely <jwakely@redhat.com>
Date:   Thu Dec 12 20:38:54 2024 +0000

    libstdc++: Fix typo in comment in src/c++17/fs_dir.cc
    
    libstdc++-v3/ChangeLog:
    
            * src/c++17/fs_dir.cc: Fix typo in comment.
    
    (cherry picked from commit 93069606949f45cb5f60bc7f4efc4860c23c8e1c)

diff --git a/libstdc++-v3/src/c++17/fs_dir.cc b/libstdc++-v3/src/c++17/fs_dir.cc
index 28d27f6a9fa..fa0f7281f36 100644
--- a/libstdc++-v3/src/c++17/fs_dir.cc
+++ b/libstdc++-v3/src/c++17/fs_dir.cc
@@ -479,7 +479,7 @@ fs::recursive_directory_iterator::__erase(error_code* ecptr)
 
 #if _GLIBCXX_FILESYSTEM_IS_WINDOWS
       // _Dir::unlink uses fs::remove which uses std::system_category() for
-      // Windows errror codes, so we can't just check for EPERM and EISDIR.
+      // Windows error codes, so we can't just check for EPERM and EISDIR.
       // Use directory_entry::refresh() here to check if we have a directory.
       // This can be a TOCTTOU race, but we don't have openat or unlinkat to
       // solve that on Windows, and generally don't support symlinks anyway.

